View Issue Details

IDProjectCategoryView StatusLast Update
0004108DraftBugpublic2021-06-07 01:55
ReporterRoy_043 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version0.20 
Summary0004108: Coordinate input not always relative to current working plane
DescriptionIf the current working plane is not one of the main working planes, coordinates entered via the keyboard are interpreted as global coordinates.
Steps To ReproducePlease open the attached file and do the following:
  1. Switch to the Draft WB.
  2. Align the current WP with Rectangle001.
  3. Make sure only Center snap is on.
  4. Start the Draft circle command and hover over Rectangle001. The Task panel shows the coordinates as 0,0,0.
  5. Click the point and create the circle.
  6. Now create another circle but instead of clicking a point for the center enter 0,0,0 in the Task panel.
  7. Result: The center of the last circle is the global origin and not the origin of the working plane.

Note that the labels for the coordinate fields for the center are confusing:

In the test above:
Center X
Global Y
Global Z

If you align the working plane with one of the faces of the Extrusion the labels are:
Center X
Local Y
Local Z

If point entry is always relative to the current working plane (as it should be) using 'Local' or 'Global' is unnecessary,

If global coordinates are required the user can switch to the XY-plane.
Additional InformationForum discussion:
https://forum.freecadweb.org/viewtopic.php?f=3&t=38962
TagsNo tags attached.
FreeCAD Information

Activities

Roy_043

2019-09-01 08:12

reporter  

WorkPlane.FCStd (Attachment missing)

Roy_043

2019-09-01 08:18

reporter   ~0013501

FreeCAD info:
OS: Windows 8.1 (6.3)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17877 (Git)
Build type: Release
Branch: master
Hash: 1e19ef5be4735f4200eaf99ce9e487d2be6f4151
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Dutch/Netherlands (nl_NL)

Kunda1

2019-09-01 13:05

administrator   ~0013506

Confirmed on the forum

marioalexis

2021-03-26 10:30

developer   ~0015546

Fix committed to master branch.

Related Changesets

FreeCAD: master 589cec2d

2021-02-01 04:19:11

marioalexis

Details Diff
Draft: Add global mode to enter points - fixes 0004108 Affected Issues
0004108
mod - src/Mod/Draft/DraftGui.py Diff File
mod - src/Mod/Draft/Resources/ui/preferences-draftinterface.ui Diff File

FreeCAD: master c4a49a55

2021-03-26 10:18:23

yorik


Committer: GitHub Details Diff
Merge pull request 0004348 from marioalexis84/draft-coordinate_input

[0.20] [Draft] Add global mode to enter points - Fixes 0004108
Affected Issues
0004108
mod - src/Mod/Draft/DraftGui.py Diff File
mod - src/Mod/Draft/Resources/ui/preferences-draftinterface.ui Diff File
mod - src/Mod/Draft/draftguitools/gui_base_original.py Diff File
mod - src/Mod/Draft/draftguitools/gui_beziers.py Diff File
mod - src/Mod/Draft/draftguitools/gui_dimensions.py Diff File
mod - src/Mod/Draft/draftguitools/gui_ellipses.py Diff File
mod - src/Mod/Draft/draftguitools/gui_lines.py Diff File
mod - src/Mod/Draft/draftguitools/gui_mirror.py Diff File
mod - src/Mod/Draft/draftguitools/gui_move.py Diff File
mod - src/Mod/Draft/draftguitools/gui_points.py Diff File
mod - src/Mod/Draft/draftguitools/gui_polygons.py Diff File
mod - src/Mod/Draft/draftguitools/gui_rectangles.py Diff File
mod - src/Mod/Draft/draftguitools/gui_rotate.py Diff File
mod - src/Mod/Draft/draftguitools/gui_scale.py Diff File
mod - src/Mod/Draft/draftguitools/gui_shapestrings.py Diff File
mod - src/Mod/Draft/draftguitools/gui_splines.py Diff File
mod - src/Mod/Draft/draftguitools/gui_stretch.py Diff File

Issue History

Date Modified Username Field Change
2019-09-01 08:12 Roy_043 New Issue
2019-09-01 08:12 Roy_043 File Added: WorkPlane.FCStd
2019-09-01 08:18 Roy_043 Note Added: 0013501
2019-09-01 13:05 Kunda1 Status new => confirmed
2019-09-01 13:05 Kunda1 Note Added: 0013506
2019-09-01 13:37 Kunda1 Target Version => 0.19
2021-02-06 06:45 abdullah Target Version => 0.20
2021-03-26 10:30 yorik Changeset attached => FreeCAD master c4a49a55
2021-03-26 10:30 marioalexis Changeset attached => FreeCAD master 589cec2d
2021-03-26 10:30 marioalexis Note Added: 0015546
2021-06-07 01:55 marioalexis Status confirmed => closed
2021-06-07 01:55 marioalexis Resolution open => fixed